# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mapage"
version = "0.2.0"
description = "In-memory type-namespaced key value storage with GraphQL"
homepage = "https://coruscateor.com/projects/mapage"
readme = "README.md"
keywords = [
    "memory",
    "cache",
    "server",
    "map",
    "storage",
]
categories = ["caching"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/coruscateor/mapage"

[dependencies.async-graphql]
version = "6.0.10"

[dependencies.async-graphql-poem]
version = "6.0.10"

[dependencies.cfg-if]
version = "1.0.0"

[dependencies.corlib]
version = "0.1.0"

[dependencies.dashmap]
version = "5.5.0"

[dependencies.delegate]
version = "0.10.0"

[dependencies.paste]
version = "1.*"

[dependencies.poem]
version = "1.3.*"

[dependencies.scc]
version = "2.*"

[dependencies.serde]
version = "1.0.*"
features = ["derive"]

[dependencies.tokio]
version = "1.*"
features = [
    "macros",
    "rt-multi-thread",
]

[features]
SelectedType = []
String = []
VecSelectedType = []
VecString = []
VecWhatever = []
Vec_bool = []
Vec_char = []
Vec_f32 = []
Vec_f64 = []
Vec_i128 = []
Vec_i16 = []
Vec_i32 = []
Vec_i64 = []
Vec_i8 = []
Vec_isize = []
Vec_u128 = []
Vec_u16 = []
Vec_u32 = []
Vec_u64 = []
Vec_u8 = []
Vec_usize = []
Whatever = []
all_key_types_Arc_String = []
all_key_types_String = []
all_types = []
bool = []
char = []
dashmap_namespaces = []
f32 = []
f64 = []
i128 = []
i16 = []
i32 = []
i64 = []
i8 = []
isize = []
scc_hashmap_namespaces = []
store_aml = []
sub_store_aml = []
u128 = []
u16 = []
u32 = []
u64 = []
u8 = []
usize = []
